Subject: Re: bug#33901: 26.1; cl-letf is unexpectedly not autoloaded

From: Markus Triska <[email-masked]>
Date: Sun, 30 Dec 2018 11:22:49 +0100

Andreas Schwab <[email-masked]> writes:

>> Is this really the intended way? I mean, why is this described as an
>> "autoloaded" macro then?
>
> Because you have loaded the cl package.

To be absolutely honest, for a macro that is documented as autoloaded, I
expect Emacs to automatically load all required files. So, in this
concrete case, I would expect Emacs to automatically load cl, cl-lib, or
cl-macs, or whatever is necessary to use cl-letf. If it does not do
this, my impression is that the macro shall not be called autoloaded, on
the grounds that the required definitions are not automatically loaded.